Author Topic: reactor creeping in?  (Read 1735 times)

0 Members and 1 Guest are viewing this topic.

curmudgeon

  • Newt
  • Posts: 194
reactor creeping in?
« on: March 19, 2010, 04:25:09 PM »
trying to get my head around dialog boxes, writing a custom search and replace routine. I am starting like this:

Code: [Select]
(defun c:far (/)
 
  (setq ent (entget (car (entsel "\n Pick Text to search for: ")))
txt (cdr (assoc 1 ent))
loc (cdr (assoc 10 ent))
  )
  (setq newstr (getstring (strcat "\n Replace " txt " with: ")))
  (setq ss1 (ssget "x" (list (cons 1 txt) '(8 . "TEXT"))))
  (repeat (sslength ss1)
    (entget (ssname ss1 0))
    )


)

nothing fancy, just getting under way. but when I take a look at what (entget (ssname ss1 0)) returns it is:

Code: [Select]
((-1 . <Entity name: 1962850>) (0 . "TEXT") (5 . "1A062") (102 . "{ACAD_REACTORS") (330 . <Entity name: 1962fa8>) (102 . "}") (330 . <Entity name: 192f8f8>) (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "TEXT") (100 . "AcDbText") (10 3451.33 9.0 0.0) (40 . 4.0) (1 . "C1960") (50 . 0.0) (41 . 0.8) (51 . 0.0) (7 . "CLK") (71 . 0) (72 . 1) (11 3458.91 11.0 0.0) (210 0.0 0.0 1.0) (100 . "AcDbText") (73 . 2))
I manually check other pieces of text in ss1, and see no mention of ACAD_REACTORS.
As far as I know, no weirdness has crept into my file from other sources. How can I have gotten reactors?

 :ugly:

Never express yourself more clearly than you are able to think.

Lee Mac

  • Seagull
  • Posts: 12916
  • London, England
Re: reactor creeping in?
« Reply #1 on: March 19, 2010, 04:47:28 PM »
MLeader / Field?

curmudgeon

  • Newt
  • Posts: 194
Re: reactor creeping in?
« Reply #2 on: March 19, 2010, 05:09:57 PM »
I don't use MLeader, I wrote my own leader routine when autocad only had single line text for the leader, and I never looked back.
I go to the mysterious text entity, and it is just plain text. The only thing strange in the dxf code is the reactor stuff.
Still puzzled, but trudging onward with the routine.

I guess if it is serious, it will have to happen more than once.
 :lmao:
Never express yourself more clearly than you are able to think.

curmudgeon

  • Newt
  • Posts: 194
Re: reactor creeping in?
« Reply #3 on: March 19, 2010, 05:15:40 PM »
HOLD THE PRESSES >>>>>

the text is in an area that has been hatched. it is an elevation, the text is a window designator, and I just HATCH with the text on and let autocad treat the text object as something to hatch around. then I have been known to STRETCH those text entities after hatching....

maybe this it an explanation, or heading that way?
Never express yourself more clearly than you are able to think.

dgorsman

  • Water Moccasin
  • Posts: 2437
Re: reactor creeping in?
« Reply #4 on: March 19, 2010, 06:21:52 PM »
AutoCAD adds in the reactor part when it has to do something with the text, like the hatch you described.  Don't sweat it - for most part they are harmless.
If you are going to fly by the seat of your pants, expect friction burns.

try {GreatPower;}
   catch (notResponsible)
      {NextTime(PlanAhead);}
   finally
      {MasterBasics;}

curmudgeon

  • Newt
  • Posts: 194
Re: reactor creeping in?
« Reply #5 on: March 19, 2010, 07:36:45 PM »
Thanks.
Never express yourself more clearly than you are able to think.